GuidewireSim.UnitTest_SolveBendTwistConstraint Class Reference
Inheritance diagram for GuidewireSim.UnitTest_SolveBendTwistConstraint:

## Private Member Functions

void | Awake ()
void | Start ()
void | PerformUnitTests ()
void | Test_SolveBendTwistConstraint (int iterations, BSM.Quaternion orientationOne, BSM.Quaternion orientationTwo, float rodElementLength, Vector3 discreteRestDarbouxVector, bool logDeltaResults=false)
void | CheckQuaternionLength (BSM.Quaternion orientation)
void | LogDeltaResults (BSM.Quaternion deltaOrientationOne, BSM.Quaternion deltaOrientationTwo)
void | CheckBendTwistConstraintDeviation (BSM.Quaternion orientationOne, BSM.Quaternion orientationTwo, float rodElementLength, Vector3 discreteRestDarbouxVector)

## Private Attributes

MathHelper | mathHelper
| The component MathHelper that provides math related helper functions. More...
ConstraintSolvingStep | constraintSolvingStep
bool | executeUnitTest = false
| Whether or not to perform all unit tests of this script. More...
int | sampleSize = 10

## Member Function Documentation

## Awake()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.Awake | ( |  | ) |

private

## CheckBendTwistConstraintDeviation()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.CheckBendTwistConstraintDeviation | ( | BSM.Quaternion | orientationOne,
|  | BSM.Quaternion | orientationTwo,
|  | float | rodElementLength,
|  | Vector3 | discreteRestDarbouxVector
| ) |  |

private

## CheckQuaternionLength()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.CheckQuaternionLength | ( | BSM.Quaternion | orientation | ) |

private

## LogDeltaResults()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.LogDeltaResults | ( | BSM.Quaternion | deltaOrientationOne,
|  | BSM.Quaternion | deltaOrientationTwo
| ) |  |

private

## PerformUnitTests()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.PerformUnitTests | ( |  | ) |

private

Note
  Only tests the case that all rod elements are aligned at rest state. If you want to test deformed rods at rest state, change `discreteRestDarbouxVector` accordingly.

## Start()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.Start | ( |  | ) |

private

## Test_SolveBendTwistConstraint()

void GuidewireSim.UnitTest_SolveBendTwistConstraint.Test_SolveBendTwistConstraint | ( | int | iterations,
|  | BSM.Quaternion | orientationOne,
|  | BSM.Quaternion | orientationTwo,
|  | float | rodElementLength,
|  | Vector3 | discreteRestDarbouxVector,
|  | bool | logDeltaResults = `false`
| ) |  |

private

## Member Data Documentation

## constraintSolvingStep

ConstraintSolvingStep GuidewireSim.UnitTest_SolveBendTwistConstraint.constraintSolvingStep

private

The component ConstraintSolvingStep that is responsible for correcting the predictions with the collision and model constraints.

## executeUnitTest

bool GuidewireSim.UnitTest_SolveBendTwistConstraint.executeUnitTest = false

private

Whether or not to perform all unit tests of this script.

## mathHelper

MathHelper GuidewireSim.UnitTest_SolveBendTwistConstraint.mathHelper

private

The component MathHelper that provides math related helper functions.

## sampleSize

int GuidewireSim.UnitTest_SolveBendTwistConstraint.sampleSize = 10

private

The number of value-pairs the test is executed with. E.g. if sampleSize is 10, then the unit test is executed with 10 randomly drawn value-pairs. A higher number needs more time to execute.

The documentation for this class was generated from the following file:

- UnitTest_SolveBendTwistConstraint.cs